/* Material icons */
@font-face {
  font-family: 'MaterialIcons';
  font-style: normal;
  font-weight: 400;
  src: local('Material Icons'), local('MaterialIcons-Regular'), url('https://fonts.gstatic.com/s/materialicons/v20/2fcrYFNaTjcS6g4U3t-Y5ZjZjT5FdEJ140U2DJYC3mY.woff2') format('woff2');
}

@font-face {
	font-family: "Quote"; 
	src: url("fonts/Quote.woff") format("woff"), url("../fonts/Quote.ttf") format("truetype");
}


/* Advanced progress bar */
#bt_bb > .bt_bb_item_list > .bt_bb_wrap .bt_bb_item .bt_bb_item .bt_bb_item .bt_bb_item.bt_bb_icon_bt_bb_progress_bar_advanced:before, 
.bt_bb_dialog_content .bt_bb_icon_bt_bb_progress_bar_advanced:before {
	content: "\e068";
	font-family: 'MaterialIcons' !important;
}

/* Floating image */
#bt_bb > .bt_bb_item_list > .bt_bb_wrap .bt_bb_item .bt_bb_item .bt_bb_item .bt_bb_item.bt_bb_icon_bt_bb_floating_image:before, 
.bt_bb_dialog_content .bt_bb_icon_bt_bb_floating_image:before {
	content: "\f03e";
	font-family: 'FontAwesome' !important;
	background-color: #ff7f00;
}
/* Floating Image */
.bt_bb_floating_image .bt_bb_dialog_item[data-param_name="animation_style"],
.bt_bb_floating_image .bt_bb_dialog_item[data-param_name="animation_delay"],
.bt_bb_floating_image .bt_bb_dialog_item[data-param_name="animation_duration"],
.bt_bb_floating_image .bt_bb_dialog_item[data-param_name="animation_speed"] {
	flex-basis: 50% !important;
}

/* Card Image */
#bt_bb > .bt_bb_item_list > .bt_bb_wrap .bt_bb_item .bt_bb_item .bt_bb_item .bt_bb_item.bt_bb_icon_bt_bb_card_image:before, 
.bt_bb_dialog_content .bt_bb_icon_bt_bb_card_image:before {
	content: "\f2c1";
	font-family: 'FontAwesome' !important;
}

/* Card Icon */
#bt_bb > .bt_bb_item_list > .bt_bb_wrap .bt_bb_item .bt_bb_item .bt_bb_item .bt_bb_item.bt_bb_icon_bt_bb_card_icon:before, 
.bt_bb_dialog_content .bt_bb_icon_bt_bb_card_icon:before {
	content: "\f2c2";
	font-family: 'FontAwesome' !important;
}

/* Steps */
#bt_bb > .bt_bb_item_list > .bt_bb_wrap .bt_bb_item .bt_bb_item .bt_bb_item .bt_bb_item.bt_bb_icon_bt_bb_steps:before, 
.bt_bb_dialog_content .bt_bb_icon_bt_bb_steps:before {
	content: "\f101";
	font-family: 'FontAwesome' !important;
}

/* Inner Step */
#bt_bb > .bt_bb_item_list > .bt_bb_wrap .bt_bb_item .bt_bb_item .bt_bb_item .bt_bb_item.bt_bb_icon_bt_bb_inner_step:before, 
.bt_bb_dialog_content .bt_bb_icon_bt_bb_inner_step:before {
	content: "\f105";
	font-family: 'FontAwesome' !important;
}

/* Testimonial */
#bt_bb > .bt_bb_item_list > .bt_bb_wrap .bt_bb_item .bt_bb_item .bt_bb_item .bt_bb_item.bt_bb_icon_bt_bb_testimonial:before, 
.bt_bb_dialog_content .bt_bb_icon_bt_bb_testimonial:before {
	font-family: 'FontAwesome' !important;
	content: "\f2bb";
}

/* Gutenberg */
@set bodyFont Nunito Sans; /* Base font */
@set headingFont Spartan; /* Headline fond */
@set accentColor #057485; /* Main color */

/* Width */
.wp-block {
	max-width: 1200px !important;
}
.wp-block.editor-post-title {
	margin-left: auto !important;
	margin-right: auto !important;
}
.wp-block[data-align=full] {
	max-width: none !important;
}

/* Backend Editor */
.editor-styles-wrapper, #tinymce.mce-content-body, .wp-block-freeform.block-library-rich-text__tinymce {
	font-size: 16px !important;
	font-family: "$(bodyFont)", Arial,sans-serif !important;
	line-height: 1.5;
	color: #181818;
	
	/* Headings  */
	h1, h2, h3, h4, h5, h6,
	.editor-post-title,
	.editor-post-title__block .editor-post-title__input {
		font-family: "$(headingFont)", Arial,sans-serif;
		line-height: 1.2 !important;
		margin: 0;
		margin-bottom: 0 !important;
		font-weight: 600;
	}
	.wp-block-heading h1, .wp-block-freeform.block-library-rich-text__tinymce h1, h1 {
		font-size: 3.125em !important;
	}
	.wp-block-heading h2, .wp-block-freeform.block-library-rich-text__tinymce h2, h2 {
		font-size: 2.75em !important;
	}
	.wp-block-heading h3, .wp-block-freeform.block-library-rich-text__tinymce h3, h3 {
		font-size: 2.125em !important;
	}
	.wp-block-heading h4, .wp-block-freeform.block-library-rich-text__tinymce h4, h4 {
		font-size: 1.875em !important;
	}
	.wp-block-heading h5, .wp-block-freeform.block-library-rich-text__tinymce h5, h5 {
		font-size: 1.5em !important;
	}
	.wp-block-heading h6, .wp-block-freeform.block-library-rich-text__tinymce h6, h6 {
		font-size: 1.25em !important;
	}
	
	.wp-block-heading h1, .wp-block-heading h2, .wp-block-heading h3, .wp-block-heading h4, .wp-block-heading h5, .wp-block-heading h6, 
	.wp-block-freeform.block-library-rich-text__tinymce h1, .wp-block-freeform.block-library-rich-text__tinymce h2, .wp-block-freeform.block-library-rich-text__tinymce h3, .wp-block-freeform.block-library-rich-text__tinymce h4, .wp-block-freeform.block-library-rich-text__tinymce h5, .wp-block-freeform.block-library-rich-text__tinymce h6, 
	h1, h2, h3, h4, h5, h6 {
		padding: 0 0 0.4em 0;
	}
	p {
		font-size: 16px;
		line-height: 1.5;
		color: #181818;
		margin-top: 0;
		margin-bottom: 1em;
		&.has-drop-cap:not(:focus):first-letter {
			font-size: 4.4rem;
			line-height: 0.7;
			font-weight: 800;
		}
		cite {
			opacity: .6;
    		font-style: normal;
		}
	}
	.editor-post-title__block .editor-post-title__input {
		font-size: 2.75rem;
	}
	.block-editor-block-list__block[data-type="core/paragraph"] p {
		font-size: 16px;
		line-height: 1.5;
	}
	.wp-block-cover .block-editor-block-list__block[data-type="core/paragraph"] p {
		line-height: 1.25;
	}
	.editor-rich-text p.wp-block-paragraph cite {
		opacity: .6;
		font-style: normal;
	}
	address, dl {
		margin: 0 0 1em;
	}
	dd {
		margin: 0 0 1.5em 3.5em;
	}
	.wp-caption.alignleft dd {
		text-align: left;
	}
	.wp-caption.alignright dd {
		text-align: right;
	}
	strong {
		font-weight: bold;
	}
	kbd {
		background: transparent;
		font-size: 1em;
	}
	.wp-block-cover-image, .wp-block-cover {
		.wp-block-cover-image-text, .wp-block-cover-text, h2 {
			font-size: 2em !important;
			color: #fff;
		}
		a {
			color: #fff !important;
		}
		.wp-block-cover__inner-container {
			p {
				font-size: 2em !important;
				line-height: 1.2 !important;
			}
		}
	}
	.alignfull {
		width: 100vw;
		margin-left: -webkit-calc(-50vw + 600px);
		margin-left: -moz-calc(-50vw + 600px);
		margin-left: calc(-50vw + 600px);
		margin-right: -webkit-calc(-50vw + 600px);
		margin-right: -moz-calc(-50vw + 600px);
		margin-right: calc(-50vw + 600px);
		max-width: 100vw;
	}
	
	/* Blockquote, Pullquote */
	blockquote,
	blockquote.wp-block-quote,
	.wp-block-pullquote blockquote {
		display: block;
		font-family: "$(headingFont)", Arial,sans-serif !important;
		margin: 0;
		padding: 1em 0 0 0 !important;
		font-size: 1.5rem;
		line-height: 1.5rem;
		border: none !important;
		&:after {
			content: " ";
			display: table;
			width: 100%;
			clear: both;
		}
		p {
			font-size: 1em !important;
			line-height: 1.5;
			font-family: "$(headingFont)", Arial,sans-serif !important;
			text-align: inherit;
			margin: 0 0 1em 0;
			padding: 1em 0 0 0;
			position: relative;
			z-index: 1;
		}
		cite {
			font-size: 1rem;
			font-family: "$(headingFont)", Arial,sans-serif;
			font-weight: normal;
			font-style: normal;
			display: block;
			opacity: 0.6;
			margin: 0;
		}
		p code {
			font-size: 1em !important;
		}
		.editor-rich-text {
			z-index: 1;
		}
		&:before {
			content: "\e900";
			font-family: Quote;
			display: block; 
			font-size: 1.3em;
			line-height: 1;
			color: rgba(0,0,0,0.2);
		}
		& .wp-block-quote__citation {
			font-size: 1rem;
			color: inherit;
			opacity: 0.6;
			text-align: inherit;
			margin-bottom: 1em;
		}
		&.is-large, &.is-style-large {
			p {
				font-size: 1.3em !important;
				line-height: 1.5;
			}
			.wp-block-quote__citation {
				font-size: 18px;
			}
			.wp-block-quote__citation {
				text-align: center;
			}
		}
		&.has-text-align-right {
			&:before {
				left: auto;
				right: 0;
			}
		}
	}
	.wp-block-pullquote {
		border: none;
		p {
			margin-bottom: 1em !important;
		}
		&.is-style-solid-color blockquote {
			margin-left: auto !important;
			margin-right: auto !important;
		}
	}
	.wp-block-pullquote blockquote>.editor-rich-text p {
		font-size: 28px !important;
		line-height: 1.5;
	}
	.wp-block-pullquote blockquote > p {
		font-size: 28px !important;
		line-height: 1.5;
	}
	.wp-block-pullquote.alignleft blockquote>.editor-rich-text p, .wp-block-pullquote.alignright blockquote>.editor-rich-text p {
		font-size: inherit !important;
	}
	figure.wp-block-pullquote {
		margin: 0em 2.5em;
		padding: 3em 0;
		text-align: center;
		&.alignnone {
			blockquote {
				&:before {
					right: 0;
				}
			}
		}
	}
	
	/* Table */
	table {
		width: 100%;
		margin: 0 0 1em 0;
		border-collapse: collapse;
		text-align: initial;
		border: 1px solid rgba(0,0,0,.07);
		td, th {
			padding: 1em;
			border: 1px solid rgba(0,0,0,.07);
		}
		th {
			font-weight: normal;
			text-align: left;
			a {
				color: $(accentColor) !important;
			}
		}
		thead {
			th {
				font-weight: 700;
				background-color: $(accentColor);
				color: white;
			}
		}
	}
	.wp-block-table.aligncenter {
		margin: 0 auto;
	}
	.wp-block-table td, .wp-block-table th {
		padding: 0.5em;
		text-align: left;
		font-weight: normal;
		border: 1px solid rgba(0,0,0,.07);
	}
	.wp-block-table th {
		font-weight: 700;
	}
	dt {
		font-weight: 600;
	}
	
	/* Link */
	.editor-rich-text__tinymce a, a {
		text-decoration: none;
		color: $(accentColor) !important;
	}
	.mce-content-body.has-large-font-size, .has-large-font-size {
		font-size: 2.2em !important;
		line-height: 1.2 !important;
	}
	.has-medium-font-size {
		font-size: 1.25em !important;
	}
	
	/* Bullet list */
	ul {
		padding-left: 1.5em;
		margin: 0 0 1em 0;
		ul {
			margin: 0 !important;
			ul {
				list-style-type: square;
				margin: 0 !important;
			}
		}
	}
	li:not(.blocks-gallery-item) {
		line-height: 1.7;
		margin: 0 !important;
	}
	ol {
		padding-left: 1.5em;
		margin: 0 0 1em 0;
		ol {
			margin: 0 !important;
			ol {
				margin: 0 !important;
			}
		}
	}
	.block-library-list .editor-rich-text__tinymce {
		padding-left: 1.5em;
		margin: 0 0 1em;
	}
	
	/* Code */
	code {
		background-color: transparent !important;
	}
	
	/* Preformatted */
	pre, .wp-block-preformatted pre, .wp-block-verse pre, pre.wp-block-verse {
		margin: 0 0 30px;
		white-space: pre-wrap;
		padding: 20px;
		border: 1px solid rgba(0,0,0,.1);
		font-family: monospace;
	}
	pre cite {
		opacity: .6;
		font-style: normal;
	}
	small {
		font-size: 13px;
	}
	.wp-caption-text {
		font-size: .9em;
		line-height: 1.7;
	}
	.wp-block-categories {
		display: inline-block;
	}
	.wp-block-pullquote cite, 
	.wp-block-pullquote footer, 
	.wp-block-pullquote__citation {
		font-size: 1rem;
		text-transform: inherit;
		opacity: 0.6;
	}
	
	/* Separator */
	hr.wp-block-separator {
		cursor: default;
		margin: 1em auto;
		max-width: 100px !important;
		border-bottom: 2px solid #8f98a1;
		&.is-style-wide {
			max-width: 100% !important;
			border: none;
			border-bottom: 1px solid #8f98a1;
		}
		&.is-style-dots {
			background: 0 0;
			border: none !important;
			text-align: center;
			max-width: none !important;
			line-height: 1;
			height: auto;
			&:before {
				content: "\00b7 \00b7 \00b7";
				color: #191e23;
				font-size: 20px;
				letter-spacing: 2em;
				padding-left: 2em;
				font-family: serif;
			}
		}
	}
	hr {
		margin: 0;
		max-width: 100% !important;
		border-bottom: 1px solid #8f98a1 !important;
	}
	
	/* Button */
	.wp-block-button {
		.wp-block-button__link {
			color: #fff !important;
			font-size: .9em;
			padding: .8em 2.2em;
			font-weight: 500;
			transition: all 200ms ease-in-out;
			&:hover {
				opacity: 0.8;
			}
		}
		&.is-style-outline {
			.wp-block-button__link {
				border: 2px solid #32373c;
				color: #32373c !important;
			}
		}
	}
	.block-editor-block-list__block[data-type="core/button"][data-align=right],
	.block-editor-block-list__block[data-type="core/button"][data-align=left] {
		display: block;
	}
	
	/* Columns */
	.wp-block-text-columns, .wp-block-text-columns.aligncenter {
		text-align: center;
	}
	
	/* Gallery */
	.wp-block-gallery {
		margin: 0;
		display: flex;
		flex-wrap: wrap;
		list-style-type: none;
		padding: 0;
		.blocks-gallery-item {
			list-style: none;
			display: flex;
			flex-grow: 1;
			flex-direction: column;
			justify-content: center;
			position: relative;
			margin: 0 16px 16px 0;
			&:last-child {
				margin-right: 0px;
			}
			figure {
				margin: 0;
				height: 100%;
				display: flex;
				align-items: flex-end;
				justify-content: flex-start;
			}
		}
		&.columns-3 .blocks-gallery-item {
			width: calc((100% - 32px)/3) !important;
		}
		&.alignfull {
			width: 100%;
			margin-bottom: 1em;
		}
		&.alignleft {
			margin-right: 1em;
		}
		&.alignright {
			margin-left: 1em;
		}
	}
	p > img.alignright {
		clear: both;
	}
	.is-selected .wp-block-gallery .blocks-gallery-image:nth-last-child(2), .is-selected .wp-block-gallery .blocks-gallery-item:nth-last-child(2), .is-typing .wp-block-gallery .blocks-gallery-image:nth-last-child(2), .is-typing .wp-block-gallery .blocks-gallery-item:nth-last-child(2) {
		margin-right: 16px;
	}
	.wp-block-image .aligncenter>figcaption, .wp-block-image .alignleft>figcaption, .wp-block-image .alignright>figcaption, .wp-block-image.is-resized>figcaption {
		display: block;
	}

	/* Latest post */
	.wp-block-latest-posts {
		padding-left: 0;
		&.is-grid li {
			margin: 0 0 1em 1em !important;
		}
	}
	/* Caption */
	figcaption {
		font-size: .85em;
		line-height: 1.7;
		text-align: center;
		color: inherit;
	}
	.wp-caption.aligncenter {
		margin: 0 auto;
	}
	/* Cover */
	.wp-block-cover, .wp-block-cover-image {
		margin-bottom: 1.5em;
	}
	/* Caption */
	.wp-caption-dd {
		font-size: 0.85em;
		text-align: center;
		margin: 0 0 1em 0 !important;
		a {
			display: initial !important;
		}
	}
	dl.wp-caption.alignleft {
		margin-right: 1em !important;
	}
	dl.wp-caption.alignright {
		margin-left: 1em !important;
	}
	dl.wp-caption.alignnone {
		margin: 0 auto !important;
	}
	.wp-caption.alignright {
		.wp-caption-dd {
			text-align: right;
		}
	}
	.wp-caption.alignleft {
		.wp-caption-dd {
			text-align: left;
		}
	}
	/* Archives */
	ul.wp-block-archives {
		padding-left: 1.5em;
	}
	/* Comments */
	.wp-block-latest-comments__comment-excerpt p {
		margin-top: 0;
	}
}

.editor-styles-wrapper [data-block] {
    margin-top: 0 !important;
}

#tinymce.mce-content-body hr {
	max-width: 100%;
	border: 0.5px solid #8f98a1;
}

.block-editor-block-list__block[data-type="core/button"][data-align=center] div[data-block] {
	clear: both;
}

.block-editor-block-list__block[data-align=right]>.block-editor-block-list__block-edit figcaption {
	text-align: right;
}
.block-editor-block-list__block[data-align=left]>.block-editor-block-list__block-edit figcaption {
	text-align: left;
}
